The People API is for administering people records in Skills Base which includes adding, retrieving, updating and deleting records.
Endpoint
/1.0/people
Objects used by this API
|
Name |
Data type |
Read only |
Description |
|
id |
Yes |
The unique identifier for the record, used to reference the record in other API interactions. |
|
|
|
No |
Email address |
|
|
first_name |
No |
First name |
|
|
last_login |
Yes |
Last login date |
|
|
last_self_assessment |
Yes |
Last self-assessment date |
|
|
last_supervisor_assessment |
Yes |
Last supervisor assessment date |
|
|
self_assessment_status |
Yes |
Self-assessment status |
|
|
supervisor_assessment_status |
Yes |
Supervisor assessment status |
|
|
location_id |
No |
Location id |
|
|
locked |
No |
Indicates if the account is currently locked |
|
|
login_enabled |
No |
Indicates whether the account is enabled for login |
|
|
role_ids |
array (integer) |
No |
Role ids. Note that if your Skills Base instance does not support multiple role assignments, this array cannot exceed 1 element in size. |
|
security_group_id |
No |
Security Group id |
|
|
skillset |
No |
Skillset source. Possible values are "all", "team", "role", "custom" |
|
|
source |
Yes |
Account source. Possible values are "local", "sso", "import" |
|
|
surname |
No |
Surname |
|
|
team_id |
No |
Team id |
|
|
custom_field_{n} |
Yes |
Custom Field with id {n}. Where {n} corresponds to the permanent internal id allocated to the custom field (retrievable via the Skills Base UI). |
Methods
GET /people
Returns all people in the instance.
GET /people/:id
Returns a person matching the given id
POST /people/search
Searches Person records. See Search APIs for a description of search functionality.
The available search parameters are:
|
Name |
Arrays |
Wildcards |
|
id |
Yes |
No |
|
|
No |
Yes |
|
first_name |
No |
Yes |
|
last_login |
Yes |
No |
|
last_self_assessment |
Yes |
No |
|
last_supervisor_assessment |
Yes |
No |
|
location_id |
Yes |
No |
|
locked |
No |
No |
|
login_enabled |
No |
No |
|
role_ids[n] |
Yes |
No |
|
security_group_id |
Yes |
No |
|
skillset |
Yes |
No |
|
source |
Yes |
No |
|
surname |
No |
Yes |
|
team_id |
Yes |
No |
*Note - if your Skills Base instance supports Multiple Role: role_ids[n] - can accept multiple fields. Update [n] for each Role ID required
POST /people
Creates a new person record.
The following parameters can be POSTed. Other valid writable People object parameters that do not appear in this list will be accepted but silently ignored.
|
Name |
Required |
|
|
No |
|
first_name |
Yes |
|
surname |
Yes |
|
location_id |
No |
|
role_ids |
No |
|
team_id |
No |
|
security_group_id |
Yes |
|
skillset |
Yes |
|
custom_field_{n} |
No |
PUT /people/:id
Updates an existing person record.
The following fields can be updated:
|
Name |
|
|
|
first_name |
|
surname |
|
location_id |
|
role_ids |
|
team_id |
|
security_group_id |
|
skillset |
|
custom_field_{n} |
DELETE /people/:id
Deletes a person. Note this also deletes all of the person's assessment data including all Skill Ratings.